Subject: bug#42154: closed (Re: bug#42154: 26.3; [DOC] This wording is too complex: frame's window-system window.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Jul 2020 07:22:02 +0000

Your bug report

#42154: 26.3; [DOC] This wording is too complex: frame's window-system window.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42154: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42154
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42154: 26.3; [DOC] This wording is too complex: frame's window-system window.
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 04 Jul 2020 10:21:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 02 Jul 2020 16:03:17 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Richard Stallman <[email-masked]>
> > Date: Wed, 01 Jul 2020 23:47:13 -0400
> > Cc: [email-masked]
> > 
> > One thing I notice is that this uses passive voice.
> > That tends to be harder to read; also, it leaves the
> > subject unstated, and that vagueness can hurt.
> 
> Is the below better?
> 
>   If this is 'above', the window-system displays the window that
>   corresponds to the frame above all other window-system's windows
>   that do not have the 'above' property set.

I installed that rewording, and I'm marking this bug done.

Subject: 26.3; [DOC] This wording is too complex: frame's window-system window.
From: Kevin Vigouroux <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jul 2020 18:21:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Unfortunately, I do not know the English very well. What does the
following wording mean?

"If this is above, the **frame's window-system window** is displayed above
all other window-system windows that do not have the above property
set."

Reference: Elisp manual, 29.4.3.2 Position Parameters, c.f. "z-group".

Best regards,
Kevin Vigouroux